ZWText Class Reference

the main class to read the text part of ZWrite Text file More...

`#include <ZWText.hxx>`

## Public Member Functions

| ZWText (ZWParser &parser)
| constructor More...
virtual | ~ZWText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Types

enum | TextCode { None, Center, BookMark, NewPage, Tag, Link }
| the list of code in the text More...

## Protected Member Functions

bool | createZones ()
| finds the different text zones More...
bool | sendMainText ()
| send a main zone More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
void | computePositions ()
| compute the positions More...
bool | sendText (ZWTextInternal::Section const &zone, MWAWEntry const &entry)
| try to send a section More...
bool | sendText (int sectionId, MWAWEntry const &entry)
| try to send a section using an id More...
TextCode | isTextCode (MWAWInputStreamPtr &input, long endPos, MWAWEntry &dPos) const
| check if a character after '<' corresponds to a text code More...
bool | readHFZone (MWAWEntry const &entry)
| read the header/footer zone More...
bool | hasHeaderFooter (bool header) const
| returns true if there is a header/footer More...
bool | sendHeaderFooter (bool header)
| try to send the header/footer More...
bool | readStyles (MWAWEntry const &entry)
| read the styles More...
bool | readSectionFonts (MWAWEntry const &entry)
| read a section fonts More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< ZWTextInternal::State > | m_state
| the state More...
ZWParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| ZWText (ZWText const &orig)
ZWText & | operator= (ZWText const &orig)

## Friends

class | ZWParser
class | ZWTextInternal::SubDocument

## Detailed Description

the main class to read the text part of ZWrite Text file

## Member Enumeration Documentation

enum ZWText::TextCode

protected

the list of code in the text

Enumerator
None |
Center |
BookMark |
NewPage |
Tag |
Link |

## Constructor & Destructor Documentation

ZWText::ZWText | ( | ZWParser & | parser | ) |

constructor

ZWText::~ZWText | ( |  | ) |

virtual

destructor

ZWText::ZWText | ( | ZWText const & | orig | ) |

private

## Member Function Documentation

void ZWText::computePositions | ( |  | ) |

protected

compute the positions

Referenced by createZones(), and numPages().

bool ZWText::createZones | ( |  | ) |

protected

finds the different text zones

void ZWText::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

bool ZWText::hasHeaderFooter | ( | bool | header | ) | const

protected

returns true if there is a header/footer

ZWText::TextCode ZWText::isTextCode | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | MWAWEntry & | dPos
| ) |  | const

protected

check if a character after '<' corresponds to a text code

Referenced by sendText().

int ZWText::numPages | ( |  | ) | const

returns the number of pages

ZWText& ZWText::operator= | ( | ZWText const & | orig | ) |

private

bool ZWText::readHFZone | ( | MWAWEntry const & | entry | ) |

protected

read the header/footer zone

Referenced by createZones().

bool ZWText::readSectionFonts | ( | MWAWEntry const & | entry | ) |

protected

read a section fonts

Referenced by createZones().

bool ZWText::readStyles | ( | MWAWEntry const & | entry | ) |

protected

read the styles

Referenced by createZones().

bool ZWText::sendHeaderFooter | ( | bool | header | ) |

protected

try to send the header/footer

bool ZWText::sendMainText | ( |  | ) |

protected

send a main zone

bool ZWText::sendText | ( | ZWTextInternal::Section const & | zone,
|  | MWAWEntry const & | entry
| ) |  |

protected

try to send a section

Referenced by ZWTextInternal::SubDocument::parse(), sendMainText(), and sendText().

bool ZWText::sendText | ( | int | sectionId,
|  | MWAWEntry const & | entry
| ) |  |

protected

try to send a section using an id

int ZWText::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class ZWParser

friend

friend class ZWTextInternal::SubDocument

friend

## Member Data Documentation

ZWParser* ZWText::m_mainParser

protected

the main parser;

Referenced by computePositions(), createZones(), readHFZone(), readSectionFonts(), readStyles(), sendHeaderFooter(), and sendText().

MWAWParserStatePtr ZWText::m_parserState

protected

the parser state

Referenced by readHFZone(), readSectionFonts(), sendHeaderFooter(), sendMainText(), sendText(), and version().

shared_ptr<ZWTextInternal::State> ZWText::m_state

protected

the state

Referenced by computePositions(), createZones(), hasHeaderFooter(), numPages(), readHFZone(), readSectionFonts(), sendHeaderFooter(), sendMainText(), sendText(), and version().

The documentation for this class was generated from the following files:

- ZWText.hxx
- ZWText.cxx